## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Summary:   Fedora AppStream metadata
Name:      appstream-data
Version:   41
Release:   %autorelease
BuildArch: noarch
License:   CC0-1.0 AND CC-BY-1.0 AND CC-BY-SA-1.0 AND GFDL-1.1-or-later
URL:       https://github.com/hughsie/appstream-glib
Source1:   https://dl.fedoraproject.org/pub/alt/screenshots/f%{version}/fedora-%{version}.xml.gz
Source2:   https://dl.fedoraproject.org/pub/alt/screenshots/f%{version}/fedora-%{version}-icons.tar.gz
Source3:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/adobe-flash.xml
Source5:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/gstreamer-non-free.xml
Source6:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/other-repos.xml

BuildRequires: libappstream-glib

%description
This package provides the distribution specific AppStream metadata required
for the GNOME and KDE software centers. The appstream data is built weekly with
/usr/bin/appstream-builder, combining the data from RPM packages in official
repositories and the extra data in fedora-appstream.

%install

DESTDIR=%{buildroot} appstream-util install-origin fedora %{SOURCE1} %{SOURCE2}
DESTDIR=%{buildroot} appstream-util install \
	%{SOURCE3} %{SOURCE5} %{SOURCE6}

# Move to the "correct" path for appstream 0.16 / 1.0
mv %{buildroot}%{_datadir}/app-info %{buildroot}%{_datadir}/swcatalog
mv %{buildroot}%{_datadir}/swcatalog/xmls %{buildroot}%{_datadir}/swcatalog/xml


%check
if ! gunzip -c %{buildroot}%{_datadir}/swcatalog/xml/fedora.xml.gz | grep -q '<pkgname>gstreamer1-plugin-openh264</pkgname>' ; then
    echo "missing gstreamer1-plugin-openh264"
    exit 1
fi

%files
%attr(0644,root,root) %{_datadir}/swcatalog/xml/*
%{_datadir}/swcatalog/icons/fedora/*/*.png
%dir %{_datadir}/swcatalog
%dir %{_datadir}/swcatalog/icons
%dir %{_datadir}/swcatalog/icons/fedora
%dir %{_datadir}/swcatalog/icons/fedora/64x64
%dir %{_datadir}/swcatalog/icons/fedora/128x128
%dir %{_datadir}/swcatalog/xml

%changelog
## START: Generated by rpmautospec
* Thu Sep 19 2024 Richard Hughes <richard@hughsie.com> - 41-7
- Stop installing app recommendations data

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 41-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 05 2024 Richard Hughes <richard@hughsie.com> - 41-5
- New metadata version

* Wed May 22 2024 Richard Hughes <richard@hughsie.com> - 41-4
- Use a merge type of append

* Wed May 22 2024 Richard Hughes <richard@hughsie.com> - 41-3
- No more livna

* Wed May 22 2024 Richard Hughes <richard@hughsie.com> - 41-2
- Google Chrome now ships an appdata file upstream

* Tue May 07 2024 Richard Hughes <richard@hughsie.com> - 41-1
- New metadata version

* Thu Feb 15 2024 Richard Hughes <richard@hughsie.com> - 40-6
- New metadata version

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 40-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 40-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Richard Hughes <richard@hughsie.com> - 40-3
- New metadata version

* Tue Nov 07 2023 Neal Gompa <ngompa@fedoraproject.org> - 40-2
- Move all data from /usr/share/app-info to /usr/share/swcatalog

* Fri Sep 29 2023 Richard Hughes <richard@hughsie.com> - 40-1
- New release

* Tue Sep 05 2023 Richard Hughes <richard@hughsie.com> - 39-5
- New metadata version

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 39-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 09 2023 Richard Hughes <richard@hughsie.com> - 39-3
- New upstream release

* Wed Feb 22 2023 Richard Hughes <richard@hughsie.com> - 39-2
- migrated to SPDX license

* Thu Feb 16 2023 Richard Hughes <richard@hughsie.com> - 39-1
- New metadata version

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 29 2022 Richard Hughes <richard@hughsie.com> - 38-1
- New metadata version

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 37-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Richard Hughes <richard@hughsie.com> - 37-2
- New metadata version

* Wed Jun 08 2022 Richard Hughes <richard@hughsie.com> - 37-1
- New metadata version

* Wed Mar 02 2022 Richard Hughes <richard@hughsie.com> - 36-1
- New metadata version

* Wed Feb 02 2022 Michael Catanzaro <mcatanzaro@redhat.com> - 35-6
- Remove obsolete webapps.xml (#2037124)

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 35-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 35-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 35-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 02 2021 Richard Hughes <richard@hughsie.com> - 35-2
- New metadata version

* Wed Mar 31 2021 Richard Hughes <richard@hughsie.com> - 35-1
- New metadata version

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 15 2020 Richard Hughes <richard@hughsie.com> - 33-1
- New metadata version

* Thu Oct 08 2020 Kalev Lember <klember@redhat.com> - 32-12
- categories.xml: Show ardour6 instead of ardour5

* Thu Oct 08 2020 Kalev Lember <klember@redhat.com> - 32-11
- Update categories and popular xmls with renamed app ids

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 32-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 01 2020 Marie Loise Nolden <loise@kde.org> - 32-9
- fix date in %%changelog otherwise build fails

* Tue May 05 2020 Kalev Lember <klember@redhat.com> - 32-8
- Don't recommend Banshee

* Mon Apr 13 2020 Richard Hughes <richard@hughsie.com> - 32-7
- New metadata version

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 32-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 02 2020 Kalev Lember <klember@redhat.com> - 32-5
- New metadata version

* Mon Oct 14 2019 Kalev Lember <klember@redhat.com> - 32-4
- New metadata version

* Mon Oct 14 2019 Kalev Lember <klember@redhat.com> - 32-3
- Update categories xml with renamed app ids

* Thu Sep 19 2019 Kalev Lember <klember@redhat.com> - 32-2
- Update webapps.xml

* Thu Sep 19 2019 Kalev Lember <klember@redhat.com> - 32-1
- New metadata version

* Wed Sep 18 2019 Kalev Lember <klember@redhat.com> - 31-4
- Update categories and popular xmls with renamed app ids

* Wed Sep 18 2019 Kalev Lember <klember@redhat.com> - 31-3
- New metadata version

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 12 2019 Richard Hughes <richard@hughsie.com> - 31-1
- New metadata version

* Thu Apr 18 2019 Kalev Lember <klember@redhat.com> - 30-8
- New metadata version

* Fri Apr 12 2019 Kalev Lember <klember@redhat.com> - 30-7
- Update changed app IDs in categories and popular xml files

* Thu Apr 11 2019 Kalev Lember <klember@redhat.com> - 30-6
- New metadata version

* Mon Apr 01 2019 Kalev Lember <klember@redhat.com> - 30-5
- Remove steam-oars.xml now that gnome-software no longer ships the steam
  plugin

* Mon Apr 01 2019 Kalev Lember <klember@redhat.com> - 30-4
- Update fedora-categories.xml and fedora-popular.xml with changed app IDs

* Mon Apr 01 2019 Kalev Lember <klember@redhat.com> - 30-3
- New metadata version

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 21 2019 Kalev Lember <klember@redhat.com> - 30-1
- New metadata version

* Thu Dec 13 2018 Kalev Lember <klember@redhat.com> - 29-13
- Update app IDs for Fedora's featured and categories sections

* Thu Dec 13 2018 Kalev Lember <klember@redhat.com> - 29-12
- New metadata version

* Thu Dec 13 2018 Kalev Lember <klember@redhat.com> - 29-11
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
